Bug 38953 - Can't build kernel modules with RH 7.1 Beta (Wolverine)
Can't build kernel modules with RH 7.1 Beta (Wolverine)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
4.2
ia64 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-03 10:39 EDT by Bryan Leopard
Modified: 2005-10-31 17:00 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-10 13:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Leopard 2001-05-03 10:39:28 EDT
Description of Problem:
During kernel builds warnings about rwsem.o continuously scroll up the 
console. 
After building the kernel make modules fails if cciss or cpqarray are 
built as modules.
Statically linking the drivers into the kernel works OK except for the 
ugly messages above.
Output from log to appended after system reboot.

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Bill Nottingham 2001-05-07 10:35:17 EDT
Without the error messages, it's impossible to debug this.
Comment 2 Bryan Leopard 2001-05-08 15:22:38 EDT
Here is some ouput from make modules:
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__down_read':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:95: warning: implicit 
declaration of function `rwsem_down_read_failed'
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__down_write':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:109: warning: implicit 
declaration of function `rwsem_down_write_failed'
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__up_read':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:123: warning: implicit 
declaration of function `rwsem_wake'
In file included from /usr/src/linux-2.4.3/include/linux/rwsem.h:46,
                 from /usr/src/linux-2.4.3/include/asm/semaphore.h:10,
                 from /usr/src/linux-2.4.3/include/linux/fs.h:200,
                 from /usr/src/linux-2.4.3/include/linux/capability.h:17,
                 from /usr/src/linux-2.4.3/include/linux/binfmts.h:5,
                 from /usr/src/linux-2.4.3/include/linux/sched.h:9,
                 from xdr4.c:11:
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__down_read':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:95: warning: implicit 
declaration of function `rwsem_down_read_failed'
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__down_write':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:109: warning: implicit 
declaration of function `rwsem_down_write_failed'
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__up_read':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:123: warning: implicit 
declaration of function `rwsem_wake'
In file included from /usr/include/linux/rwsem.h:46,
                 from /usr/include/asm/semaphore.h:10,
                 from /usr/include/linux/fs.h:200,
                 from /usr/include/linux/capability.h:17,
                 from /usr/include/linux/binfmts.h:5,
                 from /usr/include/linux/sched.h:9,
                 from svc4proc.c:11:
/usr/include/linux/rwsem-spinlock.h: In function `__down_read':
/usr/include/linux/rwsem-spinlock.h:95: warning: implicit declaration of 
function `rwsem_down_read_failed'
/usr/include/linux/rwsem-spinlock.h: In function `__down_write':
/usr/include/linux/rwsem-spinlock.h:109: warning: implicit declaration of 
function `rwsem_down_write_failed'
/usr/include/linux/rwsem-spinlock.h: In function `__up_read':
/usr/include/linux/rwsem-spinlock.h:123: warning: implicit declaration of 
function `rwsem_wake'
Makefile:17: /usr/src/linux-2.4.3/Rules.make: No such file or directory
make[2]: *** No rule to make target `/usr/src/linux-2.4.3/Rules.make'.  Stop.
make[1]: *** [_modsubdir_msdos] Error 2
make: *** [_mod_fs] Error 2


Here is output from another make modules run:
usr/src/linux-2.4.3/include/linux/module.h:177: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4.3/include/linux/module.h:177: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4.3/include/linux/module.h:177: nondigits in number and not 
hexadecimal
/usr/src/linux-2.4.3/include/linux/module.h:177: parse error before `6b99f7d8'
/usr/src/linux-2.4.3/include/linux/module.h:177: `inter_module_put_R_ver_str' 
declared as function returning a function
/usr/src/linux-2.4.3/include/linux/module.h:177: warning: function declaration 
isn't a prototype
/usr/src/linux-2.4.3/include/linux/module.h:186: `try_inc_mod_count_R_ver_str' 
declared as function returning a function
/usr/src/linux-2.4.3/include/linux/module.h:186: warning: parameter names 
(without types) in function declaration
In file included from /usr/src/linux-2.4.3/include/linux/dcache.h:7,
                 from /usr/src/linux-2.4.3/include/linux/fs.h:19,
                 from /usr/src/linux-2.4.3/include/linux/devfs_fs_kernel.h:4,
                 from /usr/src/linux-2.4.3/include/linux/miscdevice.h:4,
                 from drmP.h:45,
                 from gamma_drv.c:33:
/usr/src/linux-2.4.3/include/linux/mount.h: In function `mntput':
/usr/src/linux-2.4.3/include/linux/mount.h:46: warning: implicit declaration of 
function `printk_Rsmp_827d5807'
In file included from /usr/src/linux-2.4.3/include/linux/rwsem.h:46,
                 from /usr/src/linux-2.4.3/include/asm/semaphore.h:10,
                 from /usr/src/linux-2.4.3/include/linux/fs.h:200,
                 from /usr/src/linux-2.4.3/include/linux/devfs_fs_kernel.h:4,
                 from /usr/src/linux-2.4.3/include/linux/miscdevice.h:4,
                 from drmP.h:45,
                 from gamma_drv.c:33:
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__down_read':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:95: warning: implicit 
declaration of function `rwsem_down_read_failed'
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__down_write':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:109: warning: implicit 
declaration of function `rwsem_down_write_failed'
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h: In function `__up_read':
/usr/src/linux-2.4.3/include/linux/rwsem-spinlock.h:123: warning: implicit 
declaration of function `rwsem_wake'
make[3]: *** [gamma_drv.o] Error 1
make[3]: Leaving directory `/usr/src/linux-2.4.3/drivers/char/drm'
make[2]: *** [_modsubdir_drm] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.3/drivers/char'
make[1]: *** [_modsubdir_char] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.3/drivers'
make: *** [_mod_drivers] Error 2
 
Comment 3 Arjan van de Ven 2001-05-10 13:41:07 EDT
Specifying which kernel this is would be useful.
Also the steps done to get this far....
Comment 4 Arjan van de Ven 2001-05-21 05:59:33 EDT
I assume this does not happen with the latest ia64 beta kernel anymore.
If it does, please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.